Anonymous Login
2017-11-21 15:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001423OpenClonkObjectspublic2017-08-19 18:36
ReporterArmin 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001423: Clonk is sometimes facing the wrong direction when hanging on a cross bow rope
DescriptionSee picture.

Shoot the ceiling with a cross bow and jump so that you are hanging. Maybe wait a bit until you are not swinging so much and then try to change the direction by quickly pressing the other direction key once. This bug is new and was maybe introduced with the last big rope update or with the Controls branch.

What's new for me: It is possible to change the direction with double pressing the opposite direction key twice. I always used to press the direction key once after I waited until the rope is not moving a lot. However, this used to be way easier and it didn't cause this graphic bug.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004399

Maikel (developer)

This has not the highest priority and I have to think about the preferred behavior before changing anything.

~0005740

Maikel (developer)

I can't reproduce this anymore. Also I like the current behavior.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-12 19:51 Armin New Issue
2015-10-12 19:51 Armin File Added: rope1221.png
2015-10-16 02:32 Sven2 Target Version => 7.0
2015-12-27 14:13 Maikel Assigned To => Maikel
2015-12-27 14:13 Maikel Status new => assigned
2015-12-27 14:53 Maikel Note Added: 0004399
2015-12-27 14:53 Maikel Status assigned => acknowledged
2016-01-02 20:45 Clonkonaut Target Version 7.0 => 8.0
2017-08-19 18:36 Maikel Status acknowledged => resolved
2017-08-19 18:36 Maikel Resolution open => fixed
2017-08-19 18:36 Maikel Fixed in Version => git master
2017-08-19 18:36 Maikel Note Added: 0005740
+Issue History